<!--The content below is only a placeholder and can be replaced.-->

<div class="navigation col-lg-12">
  <nav class="navbar navbar-default">
    <div class="container-fluid">
      <div class="navbar-header">
        <a class="navbar-brand" [routerLink]="['/home']"> Welcome to {{ title }}!</a>
      </div>
      <ul class="nav navbar-nav">
        <li>
          <a [routerLink]="['/home']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-home"></span>
            Inicio
          </a>
        </li>
        <li> <a [routerLink]="['/animales']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-star"></span>
            Animales
          </a>
        </li>
        <li>
          <a [routerLink]="['/cuidadores']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-user"></span>
            Cuidadores
          </a>
        </li>
        <li>
          <a [routerLink]="['/tienda']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-gift"></span>
            Tienda
          </a>
        </li>
        <li> <a [routerLink]="['/contacto']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-comment"></span>
            Contacto
          </a>
        </li>
      </ul>

      <ul class="nav navbar-nav navbar-right" *ngIf="!identity">
        <li> <a [routerLink]="['/register']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-user"></span>
            Registro
          </a>
        </li>
        <li> <a [routerLink]="['/login']" [routerLinkActive]="['active']">
            <span class="glyphicon glyphicon-log-in"></span>
            Login
          </a>
        </li>
      </ul>

      <ul class="nav navbar-nav navbar-right" *ngIf="identity">
        <li class="dropdown">
          <a class="dropdown-toggle" data-toggle="dropdown" href="#">
            {{identity.name}}
            <span class="caret"></span>
          </a>
          <ul class="dropdown-menu">
            <li>
              <a href="#">
                <span class="glyphicon glyphicon-cog"></span>
                Mis datos
              </a>
            </li>
            <li>
              <a (click)="logout()" class="pointer">
                <span class="glyphicon glyphicon-log-out">
                </span> Salir
              </a>
            </li>
          </ul>
        </li>
      </ul>

    </div>
  </nav>
</div>


<div class="col-lg-11">
  <router-outlet></router-outlet>
</div>